// controllers/settingController.js

const SettingModel = require('../../../models/SettingsModel')

// متد برای دریافت تنظیمات بر اساس key
const getSetting = async (req, res, next) => {
  try {
    const { key } = req.params
    const setting = await SettingModel.findOne({ key })
    if (!setting) {
      return res.status(404).json({ message: 'تنظیمات مورد نظر یافت نشد' })
    }
    res.status(200).json(setting)
  } catch (error) {
    next(error)
  }
}

module.exports = { getSetting }
